#include <iostream>
#include<algorithm>
#include<limits>

using namespace std;
double zarada[1000001];
int main()
{
    int br;
    double drzavni_porez,ukupno,p;
    
    double porez[101];

    p = 0;
    cin >> br;
    for (int i = 0; i < br; i++)
    {
        cin >> zarada[i]>>porez[i];      
    }

    for (int i = 0; i < br; i++)
    {
        ukupno = 0;
        drzavni_porez = porez[i];

        for (int j = 0; j < br; j++)
        {
            ukupno += ((porez[j]>=drzavni_porez)? (zarada[j]*drzavni_porez/100):0);
        }
        p = max(ukupno, p);
    }
    cout.precision(4);
    cout <<fixed<< p;
}